<?php
/**
 * RCA IMAGE SLIDER
 *
 * @package 	RcaTheme.com
 * @subpackage 	mod_rca_imageslider
 * @author    	RcaTheme LLC https://www.rcatheme.com
 * @copyright 	Copyright (C) 2012 - 2025 RcaTheme.com, all rights reserved.
 * @license   	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 */

defined('_JEXEC') or die;
use Joomla\CMS\Uri\Uri;
?>

<div id="rca-imageslider-<?php echo $moduleId;?>" class="rca-imageslider<?php echo $moduleclass_sfx . $configClasses;?>">
	<?php if ($pretext) : ?>
		<div class="rca-imageslider-pretext"><?php echo $pretext;?></div>
	<?php endif; ?>

	<?php if ($imgslider_items) : ?>
		<div class="rca-imageslider-items">
			<?php foreach ($imgslider_items as $item) {
				echo '<div class="rca-imageslider-item">';
					if ($item->img_url) {
						echo '<a href="'. $item->img_url .'"'. ($item->link_target ? ' target="_blank"' : '') .'>';
					}
					if ($item->img) {
						echo '<img src="'. Uri::root() . $item->img .'" alt="'. ($item->img_alt ? $item->img_alt : '') .'">';
					}
					if ($item->img_url) {
						echo '</a>';
					}
				echo '</div>';
			} ?>
		</div>
	<?php endif; ?>

	<?php if ($posttext) : ?>
		<div class="rca-imageslider-posttext"><?php echo $posttext;?></div>
	<?php endif; ?>
</div>